﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3012: (1 year) VER RS-232 /5800A+1Ch
DATE:                  2012-12-21 09:43:55
AUTHOR:                Fluke
REVISION:              $Revision: 18562 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       194
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3012
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
# Compatibility:
#        5500/CAL or MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub Tek TDS3000/3000B RS-232 Interface
#        Sub UUT RS-232 Connection DTE DB9 (m) /58xx
#        Sub Tek TDS3000 Setup RS-232
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test RS-232
#        Sub Tek TDS3000 Signal Path Compensation Cal RS-232
#        Sub Tek TDS3000 (1 yr) DCV RS-232 /5800
#        Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5800
#        Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5800
#        Sub Tek TDS3000 (1 yr) Sample Rate RS-232 /5800
#        Sub Tek TDS3000 Select Channel RS-232
#        Sub Tek TDS3000 Trigger Check and Level Adjust RS-232
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM, TDS3GV or TDS3VM
#
# The procedure was tested using:
#        Model No  : TDS3012B
#        Serial No : b010848
#        Options   : None
#        Firmware  : v3.15
#
# Average run time during testing : 20 mins
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5800         600MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         20 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  CALL         Sub Tek TDS3000/3000B RS-232 Interface
  1.016  CALL         Sub UUT RS-232 Connection DTE DB9 (m) /58xx
  1.017  CALL         Sub Tek TDS3000 Setup RS-232

  1.018  PORT         *RST;*OPC?[I!]

  1.019  HEAD         UUT IDENTIFICATION
  1.020  CALL         Sub IEEE-488.2 Identification Query RS-232

  1.021  MATH         @UUT_Manufacturer = "Tektronix"
  1.022  MATH         @UUT_Model        = "TDS 3012"
  1.023  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.024  JMPL         END                           @Abort

  1.025  CALL         Sub Tek TDS3000 Check Firmware Version
  1.026  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS (CH1)
#    6.   BANDWIDTH (CH2)                    SAMPLE RATE
#    7.   TRIGGER SENS (CH1)                 DCV GAIN (CH2)
#    8.   TRIGGER SENS (CH2)                 BANDWIDTH (CH2)
#    9.   SAMPLE RATE                        TRIGGER SENS (CH2)

  1.027  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.028  CALL         Sub Tek TDS3000 Signal Path Compensation Cal RS-232
  1.029  JMPL         END                           @Abort

  1.030  CALL         Sub Tek TDS3000 Self-Test RS-232
  1.031  JMPL         END                           @Abort

  1.032  DISP         Connect the 58xxA CHAN 1 to the UUT CH 1.
  1.033  MATH         @Chan = 1
  1.034  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /5800
  1.035  JMPL         BANDWIDTH_CH1

  1.036  LABEL        DCV_CH2
  1.037  DISP         Connect the 58xxA CHAN 1 to the UUT CH 2.
  1.038  MATH         @Chan = 2
  1.039  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /5800
  1.040  JMPL         BANDWIDTH_CH2

  1.041  LABEL        BANDWIDTH_CH1
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5800
  1.044  JMPL         TRIG_CH1

  1.045  LABEL        BANDWIDTH_CH2
  1.046  MATH         @Chan = 2
  1.047  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5800
  1.048  JMPL         TRIG_CH2

  1.049  LABEL        TRIG_CH1
  1.050  MATH         @Chan = 1
  1.051  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5800
  1.052  JMPL         SAMPLE_RATE

  1.053  LABEL        TRIG_CH2
  1.054  MATH         @Chan = 2
  1.055  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5800
  1.056  JMPL         END

  1.057  LABEL        SAMPLE_RATE
  1.058  MATH         @Chan = 1
  1.059  CALL         Sub Tek TDS3000 (1 yr) Sample Rate RS-232 /5800
  1.060  JMPL         DCV_CH2

  1.061  LABEL        END
  1.062  HEAD         -2

  1.063  IF           @Abort
  1.064  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.065  ELSE
  1.066  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.067  ENDIF

  1.068  END


